import request from '@/utils/request'

export default {
  // ID查询
  getfileByFolderId: (catalogueId) => {
    return request({
      url: 'api/document',
      method: 'get',
      params: { catalogueId }
    })
  },
  // page查询
  getDataList: (pageParam) => {
    return request({
      url: 'api/document-catalogue/all',
      method: 'get',
      params: pageParam
    })
  },

  // 新增
  addFileByFolderId: (data) => {
    return request({
      url: 'api/video-mine',
      method: 'post',
      data
    })
  },
  // 修改
  set: (iotNormalMachine) => {
    return request({
      url: 'api/video-mine',
      method: 'put',
      data: iotNormalMachine
    })
  },
  // 删除
  delfileById: (id) => {
    return request({
      url: 'api/document',
      method: 'delete',
      data: {
        id
      }
    })
  },
  // 根据企业查询所属矿山（含停产）enterpriseId
  getAllMineByEnterpriseId: (mineSearchParam) => {
    return request({
      url: 'api/mine/all-mine/list',
      method: 'get',
      params: mineSearchParam
    })
  }
  

}
